API ReferenceEcosystems
Retrieve all ecosystems
GET
Retrieves a list of ecosystems.
Roles
admindts-provider
Analytics Events
ECOSYSTEM_RETRIEVE_LIST_STARTECOSYSTEM_RETRIEVE_LIST_SUCCESSECOSYSTEM_RETRIEVE_LIST_FAIL
bearerAuthheader
AuthorizationBearer <token>limit?numberRange size of returned list.
Range
1 <= value <= 1000Default
100cursor?stringStarting point for the list of entries.
Ecosystems retrieved
application/json- response
data?array<>nextCursor?nextCursorStarting point for next cursor to use in a paginated list.
curl -X GET 'https://example.vii.au01.mattr.global/v1/ecosystems'{ "data": [ { "id": "87880d7e-a4d0-462e-8383-3f1e5e16865d", "name": "My Ecosystem", "integrations": [ { "format": "MATTR", "url": "https://example.vii.au01.mattr.global/v1/ecosystems/489755c9-1d74-4f59-a127-db7105667bfe/policy", "enabled": true, "integrationResult": { "success": true, "lastSyncedAt": "2024-09-10T02:28:36.550Z", "lastModifiedAt": "2024-08-10T02:28:36.550Z", "failReasons": [ { "type": "UnknownVerificationError", "message": "Unknown verification error occurred" } ] } } ] } ], "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"}How would you rate this page?